> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a payment batch

> Retrieve a specific payment batch from your account.



## OpenAPI

````yaml /autogenerated/openapi/payment-batch.openapi.json get /payment-batches/{paymentBatchId}
openapi: 3.1.0
info:
  title: Payment Batch API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /payment-batches/{paymentBatchId}:
    get:
      tags:
        - Payment Batches
      summary: Retrieve a payment batch
      description: Retrieve a specific payment batch from your account.
      operationId: findOnePaymentBatch
      parameters:
        - name: paymentBatchId
          in: path
          required: true
          schema:
            type:
              - string
            maxLength: 36
            format: uuid
            description: The unique ID of the Payment Batch.
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
        - name: include
          in: query
          schema:
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  enum:
                    - alertErrors
                    - alertWarnings
                    - ordersSummary
            enum:
              - alertErrors
              - alertWarnings
              - ordersSummary
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  id:
                    type:
                      - string
                    maxLength: 36
                    format: uuid
                    description: The unique ID of the Payment Batch.
                  accountId:
                    type:
                      - string
                    maxLength: 16
                    description: The ID of the account the Payment Batch belongs.
                  name:
                    type:
                      - string
                      - 'null'
                    maxLength: 256
                    description: The name of the Payment Batch.
                  createdBy:
                    type:
                      - object
                    properties:
                      id:
                        type:
                          - string
                        maxLength: 36
                        format: uuid
                        description: The ID of the creator.
                      type:
                        type:
                          - string
                        enum:
                          - person
                          - product
                        description: The type of the initiator.
                    required:
                      - id
                      - type
                    description: The creator of the payment batch.
                  product:
                    type:
                      - object
                    properties:
                      id:
                        type:
                          - string
                        maxLength: 36
                        format: uuid
                        description: The ID of the product.
                      name:
                        type:
                          - string
                        description: The name of the product.
                    required:
                      - id
                      - name
                  status:
                    type:
                      - string
                    enum:
                      - draft
                      - validated
                      - confirmed
                      - started
                      - completed
                      - failed
                      - cancelled
                    description: The status of the Payment Batch.
                  visible:
                    type:
                      - boolean
                      - 'null'
                    description: Whether the payment batch is visible to other API users
                  visibleAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                    description: >-
                      Timestamp indicating when the payment batch was made
                      visible. UTC.
                  confirmedBy:
                    type:
                      - object
                      - 'null'
                    properties:
                      id:
                        type:
                          - string
                        maxLength: 36
                        format: uuid
                        description: The ID of the initiator.
                      type:
                        type:
                          - string
                        enum:
                          - person
                          - product
                        description: The type of the initiator.
                    required:
                      - id
                      - type
                    description: The initiator of the payment batch.
                  confirmedAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                    description: >-
                      Timestamp indicating when the payment batch was confirmed.
                      UTC.
                  passedMfaCheckAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                    description: >-
                      Timestamp indicating when the payment batch passed MFA
                      check. UTC.
                  riskCheckedAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                    description: >-
                      Timestamp indicating when the payment batch was risk
                      checked. UTC.
                  ordersSentAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                    description: Timestamp indicating when the orders were sent. UTC.
                  createdAt:
                    type:
                      - string
                    format: date-time
                    description: >-
                      Timestamp indicating when the payment batch was created.
                      UTC.
                  updatedAt:
                    type:
                      - string
                    format: date-time
                    description: >-
                      Timestamp indicating when the payment batch was updated.
                      UTC.
                  alerts:
                    type:
                      - array
                      - 'null'
                    items:
                      type:
                        - object
                      properties:
                        timestamp:
                          type:
                            - string
                          format: date-time
                        type:
                          type:
                            - string
                          enum:
                            - Error
                            - Warning
                        code:
                          type:
                            - string
                        message:
                          type:
                            - string
                            - 'null'
                      required:
                        - timestamp
                        - type
                        - code
                        - message
                  ordersSummary:
                    type:
                      - object
                      - 'null'
                    properties:
                      numberOfOrders:
                        type:
                          - integer
                      uniqueCurrencyCodes:
                        type:
                          - array
                        items:
                          type:
                            - string
                          enum:
                            - AED
                            - AFN
                            - ALL
                            - AMD
                            - ANG
                            - AOA
                            - ARS
                            - AUD
                            - AWG
                            - AZN
                            - BAM
                            - BBD
                            - BDT
                            - BGN
                            - BHD
                            - BIF
                            - BMD
                            - BND
                            - BOB
                            - BOV
                            - BRL
                            - BSD
                            - BTN
                            - BWP
                            - BYN
                            - BZD
                            - CAD
                            - CDF
                            - CHF
                            - CLP
                            - CNY
                            - COP
                            - CRC
                            - CUC
                            - CUP
                            - CVE
                            - CZK
                            - DJF
                            - DKK
                            - DOP
                            - DZD
                            - EGP
                            - ERN
                            - ETB
                            - EUR
                            - FJD
                            - FKP
                            - GBP
                            - GEL
                            - GGP
                            - GHS
                            - GIP
                            - GMD
                            - GNF
                            - GTQ
                            - GYD
                            - HKD
                            - HNL
                            - HRK
                            - HTG
                            - HUF
                            - IDR
                            - ILS
                            - INR
                            - IQD
                            - IRR
                            - ISK
                            - JMD
                            - JOD
                            - JPY
                            - KES
                            - KGS
                            - KHR
                            - KMF
                            - KPW
                            - KRW
                            - KWD
                            - KYD
                            - KZT
                            - LAK
                            - LBP
                            - LKR
                            - LRD
                            - LSL
                            - LTL
                            - LVL
                            - LYD
                            - MAD
                            - MDL
                            - MGA
                            - MKD
                            - MMK
                            - MNT
                            - MOP
                            - MUR
                            - MVR
                            - MWK
                            - MXN
                            - MYR
                            - MZN
                            - NAD
                            - NGN
                            - NIO
                            - NOK
                            - NPR
                            - NZD
                            - OMR
                            - PAB
                            - PEN
                            - PGK
                            - PHP
                            - PKR
                            - PLN
                            - PYG
                            - QAR
                            - RON
                            - RSD
                            - RUB
                            - RWF
                            - SAR
                            - SBD
                            - SCR
                            - SEK
                            - SGD
                            - SHN
                            - SLL
                            - SOS
                            - SRD
                            - SSP
                            - STN
                            - SYP
                            - SZL
                            - THB
                            - TJS
                            - TMT
                            - TND
                            - TOP
                            - TRY
                            - TTD
                            - TWD
                            - TZS
                            - UAH
                            - UGX
                            - USD
                            - UYU
                            - UZS
                            - VND
                            - VUV
                            - WST
                            - XAF
                            - XAG
                            - XAU
                            - XCD
                            - XOF
                            - XPD
                            - XPF
                            - XPT
                            - YER
                            - ZAR
                            - ZMK
                            - ZMW
                            - ZWD
                          example: USD
                    required:
                      - numberOfOrders
                      - uniqueCurrencyCodes
                  input:
                    type:
                      - object
                      - 'null'
                    properties:
                      format:
                        type:
                          - string
                        enum:
                          - json
                          - csv
                        description: The format that the payments were uploaded in.
                      status:
                        type:
                          - string
                        enum:
                          - accepted
                          - uploaded
                          - validated
                          - failed
                        description: The status of the upload
                      createdAt:
                        type:
                          - string
                        format: date-time
                        description: >-
                          The date the Resource was initially created. ISO 8601
                          format without milliseconds.
                      updatedAt:
                        type:
                          - string
                        format: date-time
                        description: >-
                          The date the Resource was last modified. ISO 8601
                          format without milliseconds.
                    required:
                      - format
                      - status
                      - createdAt
                      - updatedAt
                required:
                  - id
                  - accountId
                  - name
                  - createdBy
                  - product
                  - status
                  - visible
                  - visibleAt
                  - confirmedBy
                  - confirmedAt
                  - passedMfaCheckAt
                  - riskCheckedAt
                  - ordersSentAt
                  - createdAt
                  - updatedAt
                  - input
                example:
                  id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                  accountId: string
                  name: string
                  createdBy:
                    id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                    type: person
                  product:
                    id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                    name: string
                  status: draft
                  visible: true
                  visibleAt: '2019-08-24T14:15:22Z'
                  confirmedBy:
                    id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                    type: person
                  confirmedAt: '2019-08-24T14:15:22Z'
                  passedMfaCheckAt: '2019-08-24T14:15:22Z'
                  riskCheckedAt: '2019-08-24T14:15:22Z'
                  ordersSentAt: '2019-08-24T14:15:22Z'
                  createdAt: '2019-08-24T14:15:22Z'
                  updatedAt: '2019-08-24T14:15:22Z'
                  alerts:
                    - timestamp: '2019-08-24T14:15:22Z'
                      type: Error
                      code: string
                      message: string
                  ordersSummary:
                    numberOfOrders: 0
                    uniqueCurrencyCodes:
                      - USD
                  input:
                    format: json
                    status: accepted
                    createdAt: '2019-08-24T14:15:22Z'
                    updatedAt: '2019-08-24T14:15:22Z'
      security:
        - CommonAuth:
            - payment-batches:read:any
            - payment-batches:read:own
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}?accountId={{accountId}}' \
              --header 'Authorization: <api-key>'
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````